Summary:	SkypeWeb API Plugin for Pidgin/libpurple/Adium
Name:		libpurple-protocol-skypeweb
Version:	1.7
Release:	5
License:	GPL v3
Group:		Applications/Communications
Source0:	https://github.com/EionRobb/skype4pidgin/archive/%{version}.tar.gz
# Source0-md5:	6af9359c55f4644fc8848389df582848
Patch0:		login.patch
Patch1:		bitlbee_img_url.patch
Patch2:		xhtml.patch
Patch3:		video_attachemnt.patch
URL:		https://github.com/EionRobb/skype4pidgin/tree/master/skypeweb
BuildRequires:	cmake >= 2.8
BuildRequires:	glib2-devel
BuildRequires:	json-glib-devel
BuildRequires:	libpurple-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.605
Provides:	libpurple-protocol
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a SkypeWeb Plugin for Pidgin/libpurple/Adium. It lets you view
and chat with all your Skype buddies from within Pidgin/Adium.

%prep
%setup -qn skype4pidgin-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cd skypeweb
%cmake

%install
rm -rf $RPM_BUILD_ROOT

cd skypeweb
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc skypeweb/README.md
%attr(755,root,root) %{_libdir}/purple-2/libskypeweb.so
%dir %{_pixmapsdir}/pidgin/emotes/skype
%{_pixmapsdir}/pidgin/emotes/skype/theme
%{_pixmapsdir}/pidgin/protocols/*/skype.png
%{_pixmapsdir}/pidgin/protocols/*/skypeout.png
%changelog
* Mon Feb 15 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libpurple-protocol-skypeweb.git;a=log;h=master

* Sun Feb 14 2021 Jan Palus <atler@pld-linux.org> 5673aa0
- macros for %cmake

* Sun Feb 14 2021 Jan Palus <atler@pld-linux.org> af10797
- upstream patch for displaying video attachments; rel 5

* Mon Jan 25 2021 Jan Palus <atler@pld-linux.org> 3b6f794
- upstream patch to fix links in outgoing messages under bitlbee; rel 4

* Sun Jan 24 2021 Jan Palus <atler@pld-linux.org> 015c36e
- upstream patch to fix img urls in bitlbee; rel 3

* Sun Jan 24 2021 Jan Palus <atler@pld-linux.org> fd0125d
- upstream patch to fix login inside bitlbee; rel 2

* Tue Aug 25 2020 Jan Palus <atler@pld-linux.org> 7915aef
- up to 1.7

* Mon Jun 29 2020 Jan Palus <atler@pld-linux.org> 1d97c69
- up to 1.6

* Fri May 25 2018 Jan Palus <atler@pld-linux.org> ae53d10
- up to 1.5

* Mon May 21 2018 Jan Palus <atler@pld-linux.org> 231ef56
- new (version 1.4)

